Bulletin d'alerte Debian

DSA-1550-1 suphp -- Erreur de programmation

Date du rapport :
17 avril 2008
Paquets concernés :
suphp
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 475431.
Dans le dictionnaire CVE du Mitre : CVE-2008-1614.
Plus de précisions :

On a découvert que suphp, un module Apache pour utiliser un scripts PHP avec les droits de son détenteur, gérait les liens symboliques de manière peu sûre. Cela peut conduire à une augmentation des droits d'un utilisateur local.

Pour la distribution stable (Etch), ce problème a été corrigé dans la version 0.6.2-1+etch0.

Pour la distribution instable (Sid), ce problème sera corrigé prochainement.

Nous vous recommandons de mettre à jour votre paquet suphp.

Corrigé dans :

Debian GNU/Linux 4.0 (stable)

Source :
http://security.debian.org/pool/updates/main/s/suphp/suphp_0.6.2-1+etch0.diff.gz
http://security.debian.org/pool/updates/main/s/suphp/suphp_0.6.2.orig.tar.gz
http://security.debian.org/pool/updates/main/s/suphp/suphp_0.6.2-1+etch0.dsc
Alpha:
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_alpha.deb
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_alpha.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_amd64.deb
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_amd64.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_arm.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_arm.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_hppa.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_hppa.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_i386.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_i386.deb
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_ia64.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_ia64.deb
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_mips.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_mips.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_mipsel.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_mipsel.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_powerpc.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_powerpc.deb
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/s/suphp/suphp-common_0.6.2-1+etch0_s390.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache-mod-suphp_0.6.2-1+etch0_s390.deb
http://security.debian.org/pool/updates/main/s/suphp/libapache2-mod-suphp_0.6.2-1+etch0_s390.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.